<!DOCTYPE html>
<html>
<head>
    <title>Реєстрація</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <meta name="viewport" content="user-scalable=no, initial-scale=1.0, maximum-scale=1.0, width=device-width">
</head>
<body>
    <div class="container mt-5">
        <h2>Реєстрація</h2>
        <div id="message"></div>
        <form id="registrationForm" method="POST">
            <div class="form-group">
                <label for="firstName">Ім’я</label>
                <input type="text" class="js-name form-control" id="firstName" name="firstName" >
            </div>
            <div class="form-group">
                <label for="lastName">Прізвище</label>
                <input type="text" class="form-control" id="lastName" name="lastName">
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" class="js-email form-control" id="email" name="email" >
            </div>
            <div class="form-group">
                <label for="password">Пароль</label>
                <input type="password" class="js-password form-control" id="password" name="password" >
            </div>
            <div class="form-group">
                <label for="confirmPassword">Повторення пароля</label>
                <input type="password" class="js-password form-control" id="confirmPassword" name="confirmPassword" >
            </div>
            <button type="submit" class="btn btn-primary">Відправити</button>
        </form>
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
    $(document).ready(function() {
        $('#registrationForm').submit(function(event) {
            event.preventDefault();
            $('.form-control').removeClass('is-invalid');
            $('#message').html('');
            $.ajax({
                url: 'ajax.php',
                method: 'POST',
                data: $(this).serialize(),
                dataType: 'json',
                success: function(response) {
                    if (response.status === 'error') {
                        if (response.type && $('.js-' + response.type).length) {
                            $('.js-' + response.type).addClass('is-invalid');
                        }
                        $('#message').html('<div class="alert alert-danger">' + response.message + '</div>');
                    } else if (response.status === 'success') {
                        $('#message').html('<div class="alert alert-success">' + response.message + '</div>');
                        $('#registrationForm').remove();
                    }
                }
            });
        });
    });
    </script>
</body>
</html>